summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sbraz@gentoo.org>2018-12-23 20:57:11 +0100
committerLouis Sautier <sbraz@gentoo.org>2018-12-23 21:08:35 +0100
commit4683966ff88597d9cf7bf42134f33abb233066dc (patch)
treec96d4116c628cf14a2f25f7e0c5123ddb008a688
parentdev-util/makepp-2.0.99.1: alpha stable, bug 671682 (diff)
downloadgentoo-4683966ff88597d9cf7bf42134f33abb233066dc.tar.gz
gentoo-4683966ff88597d9cf7bf42134f33abb233066dc.tar.bz2
gentoo-4683966ff88597d9cf7bf42134f33abb233066dc.zip
app-admin/supervisor: bump to 3.3.5
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
-rw-r--r--app-admin/supervisor/Manifest1
-rw-r--r--app-admin/supervisor/supervisor-3.3.5.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/app-admin/supervisor/Manifest b/app-admin/supervisor/Manifest
index 67493ea63f8..7e1d24fae86 100644
--- a/app-admin/supervisor/Manifest
+++ b/app-admin/supervisor/Manifest
@@ -1,3 +1,4 @@
DIST supervisor-3.1.4.tar.gz 392321 BLAKE2B 316789fae200f02242a90d3a22a3c6486576f74dbab81b95efc72768a89c54999a370625f9589afe1edff08351840fbe27a7ef8674e6f1e3bbdd4237f3227df6 SHA512 7182db4169d37aa8f7a2a4e1d57ce40f6dea21759ed73fb49286dd5ffb2bdede0fccdc71344e93c8f8c067a2cbc4e3cb0a9a50b22bacdb1b8bc1378581ed5f07
DIST supervisor-3.3.3.tar.gz 418354 BLAKE2B 50ce29cdad6c4d8c1a041de74d970ef57031c8b3b77180f8b837e402773ac912d384397e650b94eaeaf1db2d9a6bbb21f19247454262e96ea0f1b733226701a2 SHA512 8285445da8a0ed790fbdf75d988304ab8fcefd9c36975ae6526ec58f511c73cd8707f22b7cff40c3aed5e63f3665d096ed4b5dbc2cc456fe0c5b4547149dbb4a
DIST supervisor-3.3.4.tar.gz 419794 BLAKE2B b916c22f3ec1cc180d495f08dac1a66cfd5a93c060906c015a85b2bf64733b4ed298b67050db1332639902a1c6601118a5c05e01c54ed4fc32910d1c24431131 SHA512 fab141b52a548a3efd26f175798b1b8fbb46ce465aa48c3281cb80584b829ecef90ae1355e4106632d13c84363ae03f081d69fb4148303ff387ab7d4e778d21a
+DIST supervisor-3.3.5.tar.gz 421220 BLAKE2B 63e9db005596921c4a4426de361fc20992a27b67b67ee1256cd64fe6d385909682a5055e4797512410f36f6855592f53c9c5720c54a2dae967578691d05ff3fc SHA512 66c43d40c216e5c3120e083407c848295fa1e59d6d9da916a4bae5c37d4d13208c3bf7c0c8b8a5d570270eb44fac0b1bbcceddb2e84e4f3fc1b6241b43116af7
diff --git a/app-admin/supervisor/supervisor-3.3.5.ebuild b/app-admin/supervisor/supervisor-3.3.5.ebuild
new file mode 100644
index 00000000000..4aa769a6380
--- /dev/null
+++ b/app-admin/supervisor/supervisor-3.3.5.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 ) # py2 only
+# xml.etree.ElementTree module required.
+PYTHON_REQ_USE="xml"
+
+inherit distutils-r1 systemd user
+
+MY_PV="${PV/_beta/b}"
+
+DESCRIPTION="A system for controlling process state under UNIX"
+HOMEPAGE="http://supervisord.org/ https://pypi.org/project/supervisor/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
+
+LICENSE="repoze ZPL BSD HPND GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/meld3[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+python_prepare_all() {
+ # https://wiki.gentoo.org/wiki/Project:Python/Namespace_packages
+ sed -i '/namespace_packages=/d' setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html
+ HTML_DOCS=( docs/.build/html/. )
+ fi
+}
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newinitd "${FILESDIR}/init.d-r2" supervisord
+ newconfd "${FILESDIR}/conf.d-r1" supervisord
+ dodoc supervisor/skel/sample.conf
+ keepdir /etc/supervisord.d
+ insinto /etc
+ doins "${FILESDIR}/supervisord.conf"
+ keepdir /var/log/supervisor
+ systemd_dounit "${FILESDIR}/supervisord.service"
+}
+
+pkg_preinst() {
+ enewgroup supervisor
+ fowners :supervisor /var/log/supervisor
+ fperms 750 /var/log/supervisor
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ # This is a new installation
+ elog "You may install your configuration files in ${EROOT%/}/etc/supervisord.d"
+ elog "For config examples, see ${EROOT%/}/usr/share/doc/${PF}/sample.conf.bz2"
+ elog ""
+ elog "By default, only members of the supervisor group can run supervisorctl."
+ fi
+}